# Class TCefButtonDelegateRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFButtonDelegate

## Declaration

`type TCefButtonDelegateRef = class(TCefViewDelegateRef, ICefButtonDelegate)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefViewDelegateRef
- TCefButtonDelegateRef

## Overview

### Methods

| `procedure OnButtonPressed(const button: ICefButton);`
| `procedure OnButtonStateChanged(const button: ICefButton);`
| `class function UnWrap(data: Pointer): ICefButtonDelegate;`

## Description

### Methods

| `procedure OnButtonPressed(const button: ICefButton);`
This item has no description. Showing description inherited from ICefButtonDelegate.OnButtonPressed. Called when |button| is pressed.

| `procedure OnButtonStateChanged(const button: ICefButton);`
This item has no description. Showing description inherited from ICefButtonDelegate.OnButtonStateChanged. Called when the state of |button| changes.

| `class function UnWrap(data: Pointer): ICefButtonDelegate;`
Returns a ICefButtonDelegate instance using a PCefButtonDelegate data pointer.

Generated by PasDoc 0.16.0-snapshot.